Subject: Re: Lasers with Lens Flares
From: Joe Angell <[email-masked]>
To: Multiple recipients of list <[email-masked]>
Date: Fri, 8 Dec 1995 17:41:16 -0500

> OK, I added a nullobject to a ship, I added a row of 4 lights neasr each other
> ans parented these to the nullobject. Now, when I move the nullobjects in the
> Z axis, the lights are 'fired' from the ship in the direction the ship is
> aiming. Everything is fine by now...
> 
> The tricky part is to make those lens flares look like a laser beam... I did
> turn motion blur on and I did a lot of experiments with the flare's intensity
> and dissolve. Actually, I spend MORE time experimenting with the #$%@@ flares
> than to set up the rest of the scene (with asteroids, nebulas, stars, 3
> ships...)

I did do this once (in my Pest Control animation on LightSpeed 4).  Here 
are my settings exactly:

My NullObject was positioned at 0,0,0, rotated 0,0,0 for this.  Flares 
are aligned along the Z axis, so the beam points to the +Z (the Null is 
at the back of the bolt), not that this really matters...

All the lens flares are the same:
   Point Light
   Light Intensity: 10% (so the bolts light things as they pass)
   Light Color:     0,200,255 (nice blue)

   Flare Intensity:   35%
   Fade With Distance ON
   Nominal Distance   2.0
   Center Glow        ON

   All other flare options are OFF.  If you turn Red Outer Glow off, the 
   bolt will be the color of the light (in this case, blue).

   You'll have to play with the Nominal Distance, proban;y, but this was 
   fine for my Pest Control robot (kinda close shots).

There are a total of 6 flares.  4 of them are positioned in a row, .1 
meters apart.  The last two are positioned one at each end, about .03 
meters from the 1st and last flares.  So it looks kinda like this:

    |   |	|	|	|   |
   --- ---     ---     ---     --- ---
    |   |       |       |       |   |

Or something like that.

I have the null object moving about .5 meters/frame.  Motion Blur is set 
with 50% blur length, low AA, adaptive sampling at 20. (I was running 
short on time).  Worked fine for me.

Good luck!

-- Joe